//= require jquery
//= require jquery-ui
//= require twitter/bootstrap
//= require jquery_ujs
//= require flot/jquery.flot
//= require flot/jquery.flot.pie
//= require flot/jquery.flot.time
//= require flot/jquery.flot.stack
//= require rickshaw_with_d3
//= require line_charts
//= require bar_charts
//= require turbolinks
//= require handlers
//= require jquery.chosen
//= require chosen_handler
//= require_self

jQuery.fn.exists = function() {
	return this.length>0;
}

function notify_success(message) {
	show_flash(message, "success");
}

function notify_error(message) {
	show_flash(message, "error");
}

function show_flash(msg, type) {
	var flash = $("<div class='alert alert-" + type + "'><button class='close' data-dismiss='alert'>×</button>" + msg + "</div>");
	flash.hide().prependTo($("body")).fadeIn().delay(5000).fadeOut();
}

function show_flash_in_xhr(event, xhr) {
	msg = xhr.getResponseHeader("X-Message");
	type = xhr.getResponseHeader("X-Message-Type");
	if (msg != null && msg.length != 0) {
		show_flash(msg, type);
	}
}
